SharedSocket.VirtualSocket (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class SharedSocket.VirtualSocket

- java.lang.Object
- - net.sourceforge.jtds.jdbc.SharedSocket.VirtualSocket

- Enclosing class:
    SharedSocket

      static class SharedSocket.VirtualSocket
      extends java.lang.Object

  This inner class contains the state information for the virtual socket.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.io.RandomAccessFile` | `diskQueue` I/O Stream for disk packet queue.
    `(package private) int` | `id` The stream ID of the stream objects owning this state.
    `(package private) int` | `inputPkts` Total of input packets in memory or disk.
    `(package private) java.util.LinkedList` | `pktQueue` Memory resident packet queue.
    `(package private) int` | `pktsOnDisk` Number of packets cached to disk.
    `(package private) java.io.File` | `queueFile` File object for disk packet queue.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `SharedSocket.VirtualSocket(int streamId)` Construct object to hold state information for each caller.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          final int id

      The stream ID of the stream objects owning this state.

    - #### pktQueue

          final java.util.LinkedList pktQueue

      Memory resident packet queue.

    - #### queueFile

          java.io.File queueFile

      File object for disk packet queue.

    - #### diskQueue

          java.io.RandomAccessFile diskQueue

      I/O Stream for disk packet queue.

    - #### pktsOnDisk

          int pktsOnDisk

      Number of packets cached to disk.

    - #### inputPkts

          int inputPkts

      Total of input packets in memory or disk.

  - ### Constructor Detail

    - #### SharedSocket.VirtualSocket

          private SharedSocket.VirtualSocket(int streamId)

      Construct object to hold state information for each caller.
      Parameters:
        `streamId` - the Response/Request stream id.

Generated on June 8 2013